import { PureComponent } from 'react';
import { Animated } from 'react-native';
export interface ModalHalfScreenProps {
    visible?: boolean;
    height?: number;
    onRequestClose: () => void;
}
export interface ModalHalfScreenState {
    visible: boolean;
    contentOffset: Animated.Value;
}
export declare class ModalHalfScreen extends PureComponent<ModalHalfScreenProps, ModalHalfScreenState> {
    constructor(props: ModalHalfScreenProps);
    componentDidMount(): void;
    componentDidUpdate(prevProps: ModalHalfScreenProps): void;
    showContent: () => void;
    hideContent: () => void;
    renderBackground: () => JSX.Element;
    render(): JSX.Element;
}
